Subject: bug#16505: Acknowledgement (24.3.50; Emacs seems to loose key events when typing fast (seriously))

From: Anders Lindgren <[email-masked]>
Date: Fri, 7 Feb 2014 15:17:46 +0100

I have looked a little bit into this (even though I haven't found much).

The following are the key bzr revisions:

    110785 -- OK

    110786..110811 -- Don't build on OS X (error during dump)

    110812..111504 -- Broken in another way. When pressing <down> <tab>
over an over again, Emacs gets stuck. Neither <tab> nor <down> will do
anything. However, typing a plain character makes Emacs escape this state
and start being responsive again. This seems to be an OS X related problem,
as the fix was applied to nsterm.m.

    111505 -- Broken as described in the original posts.

I hope this can shed some light on this, as this is a real problem that
will affect lots of users. One thing we should try to figure out is if this
is a problem specific to OS X, or if it is generic.

Sincerely,
    Anders Lindgren

On Mon, Jan 20, 2014 at 4:36 PM, Anders Lindgren <[email-masked]> wrote:

> I just sent out the previous letter before it was finished, so here comes
> the rest of it (sorry about that):
>
> Steps to repeat:
>
>     emacs -Q
>     Evaluate the following:
>     (save-excursion
>      (insert "(")
>      (dotimes (x 10) (insert "abc\n")))
>     C-g       (Just to know where you are in C-h l)
>     Now press TAB and down arrow over and over again, as fast as you can,
> like you're reindenting code.
>     After a few lines, Emacs stops to indent. Looking at the end of C-h l,
> you will see something like:
>
> C-g <tab> <down> <down>
> <tab> <down> <tab> <down> <tab> <down> <tab> C-h l
>
>     Here, a <tab> is missing, which explains the indentation problems.
>
> Sincerely,
>     Anders Lindgren
>
>
>
> On Mon, Jan 20, 2014 at 4:26 PM, GNU bug Tracking System <
> [email-masked]> wrote:
>
>> Thank you for filing a new bug report with debbugs.gnu.org.
>>
>> This is an automatically generated reply to let you know your message
>> has been received.
>>
>> Your message is being forwarded to the package maintainers and other
>> interested parties for their attention; they will reply in due course.
>>
>> Your message has been sent to the package maintainer(s):
>>  [email-masked]
>>
>> If you wish to submit further information on this problem, please
>> send it to [email-masked].
>>
>> Please do not send mail to [email-masked] unless you wish
>> to report a problem with the Bug-tracking system.
>>
>> --
>> 16505: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16505
>> GNU Bug Tracking System
>> Contact [email-masked] with problems
>>
>
>